# Class TCefCustomPDFPrintCallBack

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFPDFPrintCallback

## Declaration

`type TCefCustomPDFPrintCallBack = class(TCefPdfPrintCallbackOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefPdfPrintCallbackOwn
- TCefCustomPDFPrintCallBack

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `procedure OnPdfPrintFinished(const path: ustring; aResultOK : Boolean); override;`
| `constructor Create(const aEvents : IChromiumEvents); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `procedure OnPdfPrintFinished(const path: ustring; aResultOK : Boolean); override;`
This item has no description. Showing description inherited from ICefPdfPrintCallback.OnPdfPrintFinished. Method that will be executed when the PDF printing has completed. |path| is the output path. |ok| will be true (1) if the printing completed successfully or false (0) otherwise.

| `constructor Create(const aEvents : IChromiumEvents); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.